package cn.com.ctop.performanceappraisal.service;

import cn.com.ctop.performanceappraisal.entity.Performance;
import cn.com.ctop.performanceappraisal.vo.DesignerCostDetailVO;
import cn.com.ctop.performanceappraisal.vo.OptimizerCostDetailVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设计师季度绩效表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-10
 */
public interface IPerformanceService extends IService<Performance> {
    /**
     * 1：根据角色获取用户当前季度的所有视频消耗相关数据
     */
    List<DesignerCostDetailVO> getTotalCostDetailByRoleId(String roleId);

    /**
     * 获取优化师总消耗数据信息
     */
    List<OptimizerCostDetailVO> getOptimizerTotalCostDetail(String startDate, String endDate, String year, String quarter);
}
